%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Text-Diff

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Easily create test classes in an xUnit style.
Name:		perl-%{perlname}
Version:	0.35
Release:	4
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Text+Diff
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Algorithm-Diff

%description
Easily create test classes in an xUnit style.
For more details see: http://search.cpan.org/~rbs/Text-Diff

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.35-4
- Rebuild against perl 5.10.0
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.35-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.35-2
- Rebuild against perl-5.8.7
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.35-1
- Initial Release  
